apiVersion: apps/v1
kind: Deployment
metadata:
  name: weather-forecast-deployment
  labels:
    app: weather-forecast
spec:
  replicas: 1
  selector:
    matchLabels:
      app: weather-forecast
  template:
    metadata:
      labels:
        app: weather-forecast
      annotations:
        dapr.io/enabled: "true"
        dapr.io/app-id: "proxy"
        dapr.io/app-port: "80"
        dapr.io/log-level: "debug"
    spec:
      containers:
      - name: weather-forecast
        image: naveenvk027/weather-forecast-app:1.0
        env:
        - name: ASPNETCORE_ENVIRONMENT
          value: Development
        resources:
          limits:
            memory: 512Mi
            cpu: "1"
          requests:
            memory: 256Mi
            cpu: "0.2"
        ports:
        - containerPort: 80
      - name: opal-client
        image: permitio/opal-client:latest
        env:
        - name: OPAL_SERVER_URL
          value: https://6cc7-183-83-252-7.in.ngrok.io/
        - name: OPAL_LOG_FORMAT_INCLUDE_PID
          value: "true"
        - name: OPAL_INLINE_OPA_LOG_FORMAT
          value: http
        resources:
          limits:
            memory: 512Mi
            cpu: "1"
          requests:
            memory: 256Mi
            cpu: "0.2"
        ports:
          - containerPort: 7000
          - containerPort: 8181
